ZITADEL Docs
APIsCore ResourcesV2Application

Create Application Key

Create a new application key, which is used to authorize an API application.

Key details are returned in the response. They must be stored safely, as it will not be possible to retrieve them again.

Required permissions:

  • project.app.write
POST
/zitadel.application.v2.ApplicationService/CreateApplicationKey

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/zitadel.application.v2.ApplicationService/CreateApplicationKey" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{    "applicationId": "string",    "projectId": "string"  }'
{
  "keyId": "string",
  "creationDate": "2023-01-15T01:30:15.01Z",
  "keyDetails": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}

Was this page helpful?